<template>
  <div class="h-100">
    <left-form-wrapper
      title="Подтверждение email"
      :is-back="false"
    >
      <div class="text-style">
        <div v-if="verified === 'success'">
          Пароль выслан вам на почту. Выполняется переадресация на страницу авторизации
        </div>
        <div v-if="verified === 'pending'">
          Подождите, запрос выполняется
        </div>
        <div v-if="verified === 'fail'">
          Не удалось подтвердить
        </div>
      </div>
      <div slot="footer">
        Уже зарегистрированы?
        <router-link :to="{ name: 'login' }">
          Войти
        </router-link>
      </div>
    </left-form-wrapper>
  </div>
</template>

<script>
import LeftFormWrapper from '../../components/LeftFormWrapper/index'
import routeMixin from '../../mixins/route-mixin'
import api from '@/api'

export default {
  name: 'ConfirmEmail',
  components: {
    LeftFormWrapper
  },
  mixins: [
    routeMixin
  ],
  data () {
    return {
      verified: 'pending'
    }
  },
  mounted () {
    this.checkUuid()
  },
  methods: {
    async checkUuid () {
      let uuid = this.$route.params.id
      let res = {}
      if (uuid) {
        try {
          res = await api.registration.register.verifyToken(uuid)
          console.log(res)
          this.verified = 'success'
        } catch (e) {
          // console.log(e)
          this.verified = 'fail'
        }

        if (this.verified === 'success') {
          setTimeout(() => {
            let query = {
              email: res && res.email
            }
            // console.log(query)
            this.$router.replace({ name: 'login', query })
          }, 3000)
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .text-style {
    @include font-mixin(14px, 24px, 400);
  }
</style>
